<?php

class Targetbay_Tracking_Block_Conversion extends Mage_Checkout_Block_Onepage_Success
{	
    public function __construct()
    {
    	parent::__construct();
    }

    public function getOrder() 
    {
        $last_order_id = Mage::getSingleton('checkout/session')->getLastOrderId();
        return Mage::getModel('sales/order')->load($last_order_id);
    }

    public function getDeliveryCountry()
    {
        return Mage::getStoreConfig('targetbay_tracking/google_customer_reviews_order/delivery_days', Mage::app()->getStore());
    }

    public function getDeliveryDate($orderDate)
    {
        $date = Mage::getModel('core/date')->date('Y-m-d');
        return Mage::getModel('core/date')->date('Y-m-d', strtotime($orderDate." +".Mage::getStoreConfig('targetbay_tracking/google_customer_reviews_order/delivery_days', Mage::app()->getStore())." days"));
        // return Mage::getStoreConfig('targetbay_tracking/google_customer_reviews_order/delivery_days', Mage::app()->getStore());
    }

    /**
     * @return mixed
     */
    public function getOptInStyle()
    {
        return Mage::getStoreConfig('targetbay_tracking/google_customer_reviews_order/opt_in_style', Mage::app()->getStore());
    }

    /**
     * Get Google Customer Reviews badge status.
     *
     * @return bool
     */
    public function getGoogleCustomerReviewBadge()
    {
        return (bool) Mage::getStoreConfig('targetbay_tracking/google_customer_reviews/badge_enabled', Mage::app()->getStore());
    }

    /**
     * Check Recommendation is enabled or not
     *
     * @return boolean
     */
    public function getGoogleMerchantId()
    {
        return Mage::getStoreConfig('targetbay_tracking/google_customer_reviews/merchant_id', Mage::app()->getStore());
    }

    /*
    * Get goole customer reviews merchantId
    */

    public function getMerchantId()
    {
        return Mage::getStoreConfig('targetbay_tracking/google_customer_reviews/merchant_id', Mage::app()->getStore());
    }
}

