<?php

/*
 * @author Targetbay
 * @copyright 2016 Sathishkumar Mariappan <sathishkumar.m@innoppl.com>
 * @package Targetbay_Tracking
 */

class Targetbay_Tracking_Block_Instagram extends Mage_Core_Block_Template
{

    /**
     * Rendered the tracking template if tracking enabled
     *
     * @see Mage_Core_Block_Template::_construct()
     */
    public function _construct()
    {
        parent::_construct();
        if (Mage::helper('tracking')->trackingEnabled() &&
            Mage::helper('tracking')->getInstagramStatus()) {
            $this->setTemplate('tracking/instagram.phtml');
        }
        //$this->storeId = Mage::app()->getStore()->getId();
    }

    /**
     * @return string
     */
    public function instagramPlaceholder()
    {
//        $controllerName = Mage::app()->getRequest()->getControllerName();
  //      $moduleName = Mage::app()->getRequest()->getModuleName();
    //    $actionName = Mage::app()->getRequest()->getActionName();
		$fullActionName =  $this->getAction()->getFullActionName();
		$html = "";
		if((Mage::helper('tracking')->getInstagramHomeStatus() && $fullActionName == "cms_index_index") || (Mage::helper('tracking')->getInstagramProductStatus() && $fullActionName == "catalog_product_view")){
			$html = '<div id="targetbay_instagram_images"></div>';
		}
        return $html;
    }
}
