<?php

/*
 * @author Targetbay
 * @copyright 2016 Sathishkumar Mariappan <sathishkumar.m@innoppl.com>
 * @package Targetbay_Tracking
 */

class Targetbay_Tracking_Model_Api2_Customergroup_Rest_Guest_V1 extends Targetbay_Tracking_Model_Api2_Customergroup
{
    /**
     * Retrieve list of categories
     *
     * @return array
     */
    public function _retrieveCollection()
    {
        $page = Mage::app()->getRequest()->getParam('page');
        $limit = Mage::app()->getRequest()->getParam('limit');
        $customerData = array();

        $pageSize = ($page) ? $page : '';
        $pageLimit = ($limit) ? $limit : '';

        $pageSize = (($page - 1) * $limit);

        $i=0;
        $customerGroupCollection = Mage::getModel('customer/group')->getCollection();
        foreach ($customerGroupCollection as $customerGroup) {
            $customerData[$i]['group_id'] = $customerGroup->getCustomerGroupId();
            $customerData[$i]['group_code'] = $customerGroup->getCustomerGroupCode();
            $i++;
        }

        return $customerData;
    }
}
