<?php

/*
 * @author Targetbay
 * @copyright 2016 Sathishkumar Mariappan <sathishkumar.m@innoppl.com>
 * @package Targetbay_Tracking
 */

class Targetbay_Tracking_Model_Api2_Orderstatus_Rest_Guest_V1 extends Targetbay_Tracking_Model_Api2_Orderstatus
{

    /**
     * Retrieve order status
     *
     * @return array
     */
    protected function _retrieveCollection()
    {
        $statusData = array();
        $statusVal = array();
        $statusCollection = Mage::getModel('sales/order_status')->getCollection();
        foreach ($statusCollection as $orderStatus) {
            $statusVal['status_title'] = $orderStatus->getLabel();
            $statusVal['status_code'] = $orderStatus->getStatus();
            $statusData[] = $statusVal;
        }
        return $statusData;
    }
}
