<?php

/*
 * @author Targetbay
 * @copyright 2016 Sathishkumar Mariappan <sathishkumar.m@innoppl.com>
 * @package Targetbay_Tracking
 */

class Targetbay_Tracking_Model_System_Config_Source_Optinstyle
{
    /**
     * Magento mail configurations
     *
     * @return array
     */
    public function toOptionArray()
    {
        return array(
            array('value' => 'CENTER_DIALOG', 'label' => 'Dialog box in the center of the view'),
            array('value' => 'BOTTOM_RIGHT_DIALOG', 'label' => 'Dialog box at the bottom right of the view'),
            array('value' => 'BOTTOM_LEFT_DIALOG', 'label' => 'Dialog box at the bottom left of the view'),
            array('value' => 'TOP_RIGHT_DIALOG', 'label' => 'Dialog box at the top right of the view'),
            array('value' => 'TOP_LEFT_DIALOG', 'label' => 'Dialog box at the top left of the view'),
            array('value' => 'BOTTOM_TRAY', 'label' => 'Displayed in the bottom of the view')
        );
    }
}
