<?php

/*
 * @author Targetbay
 * @copyright 2016 Sathishkumar Mariappan <sathishkumar.m@innoppl.com>
 * @package Targetbay_Tracking
 */

class Targetbay_Tracking_Model_Tracking extends Mage_Core_Model_Abstract
{
    public function getVisitorData()
    {
        $session = Mage::getSingleton('core/session');
        $currentSessionId = $session->getEncryptedSessionId(); //current session id
        $connection = Mage::getSingleton('core/resource')->getConnection('core_read');
        $sql = "SELECT visitor_id FROM log_visitor WHERE session_id like '%" . $currentSessionId . "%' ORDER BY visitor_id DESC";

        return $connection->fetchOne($sql);
    }

    /*
     * Get Parent product Id of child product to map product reviews
     */
    public function getParentProductId($productId)
    {
        $product = Mage::registry('current_product');
        if (!$product) {
			if($productId != NULL){
				$product = Mage::getModel('catalog/product')->load($productId);
			}else{
	            return '';
			}
        }

        $parentIds = '';

        if ($product->getTypeId() == Mage_Catalog_Model_Product_Type::TYPE_SIMPLE) {
            $parentIds = Mage::getModel('catalog/product_type_configurable')
            ->getParentIdsByChild($product->getId());
            if (!$parentIds) {
                $parentIds = Mage::getModel('catalog/product_type_grouped')
                ->getParentIdsByChild($product->getId());
            }
            if (count($parentIds) > 0) {
                return $parentIds;
	     }
	    return '';
        }
    }

     /*
     * Get single Parent product Id of child product to map product reviews
     */
    public function getFirstParentProductId($productId = NULL)
    {
	    $FirstParentId = $this->getParentProductId($productId);
	    if(is_array($FirstParentId) && isset($FirstParentId[0])){
		    return $FirstParentId[0];
	    }
	   return false;
    }
}
