<?php

/*
 * @author Targetbay
 * @copyright 2016 Sathishkumar Mariappan <sathishkumar.m@innoppl.com>
 * @package Targetbay_Tracking
 */

class Targetbay_Tracking_Model_Refillcart extends Mage_Customer_Model_Customer
{

    /**
     * Delete the non active records before 180 days. 
     */
    public function tbRefillCart()
    {
        $helper = Mage::helper('tracking');
        $model = Mage::getModel('tracking/log');
        // Mage::log('cron tab', null, 'mylogfile.log');
        // get the current date.
        $currentDate = Mage::getModel('core/date')->date('Y-m-d');
        // get the 180days before date.
        $filterDate = date("Y-m-d", strtotime($currentDate." -6 months"));
        // Mage::log('cron tab 180 days date'.$filterDate, null, 'mylogfile.log');
        $collection = $model->getCollection();
        $data = $collection->addFieldToFilter('date_entered', $filterDate);
        if(count($data->getData()) > 0){
             foreach ($data->getData() as $item) {
                $model->setId($item['id'])->delete();
            }
        }
    }
}
